Get Listing Categories
get
https://api.flxpoint.com/listing/categoriesUse this when you want to pull listing data through the API.
🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel
This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.
This endpoint will fetch back a list of Listing Categories.
Request
Query parameters
filterByChannelIdqueryintegerRetrieve categories of a specific channel
Example request
get
/listing/categoriescurl -X GET "https://api.flxpoint.com/listing/categories" \
-H "Accept: application/json" \
-H "X-API-TOKEN: YOUR_TOKEN"Responses
200OKapplication/json
array[any]
Example response
[
null
]401Unauthorized
No schema documented for this status.
404Not Found
No schema documented for this status.
OpenAPI fragment
{
"get": {
"summary": "Get Listing Categories",
"description": "This endpoint will fetch back a list of Listing Categories.",
"parameters": [
{
"schema": {
"type": "integer"
},
"in": "query",
"name": "filterByChannelId",
"description": "Retrieve categories of a specific channel"
}
],
"responses": {
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "array"
}
}
}
},
"401": {
"description": "Unauthorized"
},
"404": {
"description": "Not Found"
}
}
}
}Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight